Debian Bug report logs - #654783
race condition in libpthread causes hangs in python2.7 testsuite

version graph

Package: libc0.1; Maintainer for libc0.1 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc0.1 is src:eglibc.

Reported by: debian-bsd@lists.debian.org

Date: Thu, 5 Jan 2012 18:12:04 UTC

Severity: wishlist

Tags: sid, wheezy

Fixed in version eglibc/2.13-31

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Thu, 05 Jan 2012 18:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Matthias Klose <doko@debian.org>. (Thu, 05 Jan 2012 18:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Thu, 05 Jan 2012 19:09:26 +0100
Package: src:python2.7
Version: 2.7.2-9
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org

Hi!

  I'm trying to figure out why python2.7 testsuite is hanging on
kfreebsd. Reporting as bug to track the status.

 * running the testsuite by hand makes it stop in

test_interrupted_write_buffered (test.test_io.CSignalsTest) ... 

 * Running only the test_io part manually doesn't hang at all.

 * Adding a single print before the write [1] (line 2727) makes it go
   firther but still hangs later on:

test_itimer_prof (test.test_signal.ItimerTest) ... ('SIGPROF handler invoked', (27, <frame object at 0x6181780>))
ok
test_itimer_real (test.test_signal.ItimerTest) ... 
call pause()...


[1]             self.assertRaises(ZeroDivisionError,
                              wio.write, item * (1024 * 1024))

Regards

    Christoph




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#654783; Package src:python2.7. (Sat, 14 Jan 2012 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Sat, 14 Jan 2012 09:18:05 GMT) Full text and rfc822 format available.

Message #10 received at 654783@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 654783@bugs.debian.org, Christoph Egger <christoph@debian.org>
Subject: Re: FTBFS(kfreebsd): testsuite hang
Date: Sat, 14 Jan 2012 10:14:11 +0100
found 654783 2.7.2-8
thanks

nothing new, the package just had the testsuite disabled.




Bug Marked as found in versions python2.7/2.7.2-8. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sat, 14 Jan 2012 09:18:07 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Fri, 20 Jan 2012 21:16:10 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Fri, 20 Jan 2012 21:16:40 GMT) Full text and rfc822 format available.

Message #17 received at 654783-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 654783-close@bugs.debian.org
Subject: Bug#654783: fixed in python2.7 2.7.2-13
Date: Fri, 20 Jan 2012 21:11:26 +0000
Source: python2.7
Source-Version: 2.7.2-13

We believe that the bug you reported is fixed in the latest version of
python2.7, which is due to be installed in the Debian FTP archive:

idle-python2.7_2.7.2-13_all.deb
  to main/p/python2.7/idle-python2.7_2.7.2-13_all.deb
libpython2.7_2.7.2-13_amd64.deb
  to main/p/python2.7/libpython2.7_2.7.2-13_amd64.deb
python2.7-dbg_2.7.2-13_amd64.deb
  to main/p/python2.7/python2.7-dbg_2.7.2-13_amd64.deb
python2.7-dev_2.7.2-13_amd64.deb
  to main/p/python2.7/python2.7-dev_2.7.2-13_amd64.deb
python2.7-doc_2.7.2-13_all.deb
  to main/p/python2.7/python2.7-doc_2.7.2-13_all.deb
python2.7-examples_2.7.2-13_all.deb
  to main/p/python2.7/python2.7-examples_2.7.2-13_all.deb
python2.7-minimal_2.7.2-13_amd64.deb
  to main/p/python2.7/python2.7-minimal_2.7.2-13_amd64.deb
python2.7_2.7.2-13.diff.gz
  to main/p/python2.7/python2.7_2.7.2-13.diff.gz
python2.7_2.7.2-13.dsc
  to main/p/python2.7/python2.7_2.7.2-13.dsc
python2.7_2.7.2-13_amd64.deb
  to main/p/python2.7/python2.7_2.7.2-13_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python2.7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 20 Jan 2012 16:33:47 +0100
Source: python2.7
Binary: python2.7 python2.7-minimal libpython2.7 python2.7-examples python2.7-dev idle-python2.7 python2.7-doc python2.7-dbg
Architecture: source all amd64
Version: 2.7.2-13
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 idle-python2.7 - IDE for Python (v2.7) using Tkinter
 libpython2.7 - Shared Python runtime library (version 2.7)
 python2.7  - Interactive high-level object-oriented language (version 2.7)
 python2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 python2.7-dev - Header files and a static library for Python (v2.7)
 python2.7-doc - Documentation for the high-level object-oriented language Python
 python2.7-examples - Examples for the Python language (v2.7)
 python2.7-minimal - Minimal subset of the Python language (version 2.7)
Closes: 654783 656118
Changes: 
 python2.7 (2.7.2-13) unstable; urgency=low
 .
   * Update to 20120120, taken from the 2.7 branch.
   * Remove patch integrated upstream (issue9054.diff).
   * Backport Issue #9189 to distutils/sysconfig.py as well.
     Closes: #656118.
   * Disable test_io on kfreebsd again. Closes: #654783.
   * Disable test_bsddb3 tests on kfreebsd again.
Checksums-Sha1: 
 712016c1626714b4c236c0e353cfe524d3c53f77 2052 python2.7_2.7.2-13.dsc
 648504187e30c09854bfa8b4fb0d7150fbbc0e64 741202 python2.7_2.7.2-13.diff.gz
 cb2b52807694c2612622ca7af054923b0f90d78a 708818 python2.7-examples_2.7.2-13_all.deb
 ab0ecb4fa40945244da41b0614d03cb2b2695984 297398 idle-python2.7_2.7.2-13_all.deb
 d0a14eb92c4a69e1cc0766eddc38b9f61fdd966a 6214168 python2.7-doc_2.7.2-13_all.deb
 ac2a9104bffa42324c1ab8ef4815e7e3731b037d 2713614 python2.7_2.7.2-13_amd64.deb
 833199a8849381368a914ae3f20a3994e26c93e9 1761622 python2.7-minimal_2.7.2-13_amd64.deb
 1d8e3f97623792140965a9cfb270d0ecb45f2e27 1190460 libpython2.7_2.7.2-13_amd64.deb
 2d7f922e777339ce315e5547556ef33d113aca95 29316460 python2.7-dev_2.7.2-13_amd64.deb
 19339f030bf32768a84420b6d73b0718e7ca64f0 9536098 python2.7-dbg_2.7.2-13_amd64.deb
Checksums-Sha256: 
 32d9f82659bf166ecefa126c55ef2983e51a035b0957150de88bb819ffe2d27b 2052 python2.7_2.7.2-13.dsc
 e07b9c1b5d2741ac3bd395a5d7f6fabe934043f83d7b8589ca7650e01f0f994b 741202 python2.7_2.7.2-13.diff.gz
 12f121e174bf8d204a2eb317261cc642e431def115328cfbda5ec8e2d8f8d9b7 708818 python2.7-examples_2.7.2-13_all.deb
 4564cf5bb8a0e376f4942b129a56823a11b36c7c1c134c4176c215bc12ee9bdd 297398 idle-python2.7_2.7.2-13_all.deb
 a6fa971636c406f2ff093644f24c9198c68517da6358a4a5ceebcc4ed6e823f1 6214168 python2.7-doc_2.7.2-13_all.deb
 7e8659e871d1199c5a64e44c0791c5284d4b994ccff43209ccfdb65369f60249 2713614 python2.7_2.7.2-13_amd64.deb
 2cb28ded244d9756bbc45a334c0be67c3784e3ea0173fd74eafa15e0ab81188d 1761622 python2.7-minimal_2.7.2-13_amd64.deb
 afe6a8523a4709d470cff7d34b5065980a2ef9b25c4c3cb8f77d2a14dc8c71d9 1190460 libpython2.7_2.7.2-13_amd64.deb
 4c93ffa20bed5bf20a1afcc7127a05d4046e925f4308511815a56de2bb269f63 29316460 python2.7-dev_2.7.2-13_amd64.deb
 fe88603687600d1aa5ace69c7c9a01b298c839977e86212c4c29ce98fae05c70 9536098 python2.7-dbg_2.7.2-13_amd64.deb
Files: 
 17fcebe5313413e2b3d21bcb64dd6dc1 2052 python optional python2.7_2.7.2-13.dsc
 d03234b4cba8de908f73856b9a129502 741202 python optional python2.7_2.7.2-13.diff.gz
 c5b5dddac200d6a89379894b87bb4a2d 708818 python optional python2.7-examples_2.7.2-13_all.deb
 bb265921c03a45e5d9a56593f2d1ff54 297398 python optional idle-python2.7_2.7.2-13_all.deb
 690ade4cf5776d2d22e1cd6df8be2133 6214168 doc optional python2.7-doc_2.7.2-13_all.deb
 80972841bde291e70f3db8cb27524457 2713614 python optional python2.7_2.7.2-13_amd64.deb
 fabe664e2e95d62aa705a3cf515ffb97 1761622 python optional python2.7-minimal_2.7.2-13_amd64.deb
 718ea9a36729b50a07a3003836acdaa5 1190460 libs optional libpython2.7_2.7.2-13_amd64.deb
 89b5803d311b650980a65ef8d4c039a7 29316460 python optional python2.7-dev_2.7.2-13_amd64.deb
 4e7c03c38d260e7da9f49b9bd75bc1e8 9536098 debug extra python2.7-dbg_2.7.2-13_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8ZyjoACgkQStlRaw+TLJz0oQCgu3VkHaPAQwmPNc1XJCx5TOBd
a2MAoKoV2RVsGc/u3UwCC7hSlDxpbt1W
=XoA+
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Tue, 24 Jan 2012 10:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Tue, 24 Jan 2012 10:10:00 GMT) Full text and rfc822 format available.

Message #22 received at 654783@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 654783@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Tue, 24 Jan 2012 10:07:18 +0000
Reopen 654783
found 654783 2.7.2-13
thanks

The testsuite still seems to be hanging on both the kfreebsd-i386 and 
kfreebsd-amd64 buildds (now tried three times on each).
>test_signal
>E: Caught signal 'Terminated': terminating immediately
>make: *** [stamps/stamp-check] Terminated
>Build killed with signal TERM after 150 minutes of inactivity





Bug No longer marked as fixed in versions python2.7/2.7.2-13 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Jan 2012 10:10:30 GMT) Full text and rfc822 format available.

Bug Marked as found in versions python2.7/2.7.2-13. Request was from peter green <plugwash@p10link.net> to control@bugs.debian.org. (Tue, 24 Jan 2012 10:10:35 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Wed, 04 Apr 2012 23:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 04 Apr 2012 23:57:05 GMT) Full text and rfc822 format available.

Message #31 received at 654783@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 654783@bugs.debian.org
Subject: re: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Thu, 5 Apr 2012 01:52:24 +0200
[Message part 1 (text/plain, inline)]
Hi,

I narrowed down the problem a bit.

test_signal works fine when run standalone:

  $ ./build-static/python -Wd -3 -E -tt Lib/test/regrtest.py -w -l test_signal
  test_signal
  1 test OK.

However, if it's run after test___all___, it hangs:

  $ ./build-static/python -Wd -3 -E -tt Lib/test/regrtest.py -w -l
test___all__ test_signal
  [... hang ]

test___all__ does lots of things.  Its purpose is to run the test
routine in each of the modules in Lib/.  I found that only one of
these routines is responsible for the crash: idlelib.  If you
blacklist idlelib (see attachment), then test_signal doesn't crash.

As this is most likely a bug in glibc, we need to keep shrinking the
problem down.  However, to get python out of FTBFS state, perhaps
it'll be enough to either blacklist idlelib or disable test_signal.

-- 
Robert Millan
[idlelib.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Thu, 05 Apr 2012 13:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Thu, 05 Apr 2012 13:09:06 GMT) Full text and rfc822 format available.

Message #36 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#654783: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Thu, 05 Apr 2012 14:05:19 +0100
[Message part 1 (text/plain, inline)]
Hi,

With eglibc patched with Robert's timer.diff I still see a hang at
test_signal, when building python2.7-2.7.3~rc2 on kfreebsd-i386
(8.3~svn230343-1 686 kernel).

Skipping that test, I then experience a hang at test_socket.  More test
failures are in the attached file (probably less serious, known issues).

test_io was disabled, but so far it has been working.  I'll try running
it a few more times with randomised test order (-r option).

I also tried the disabled test_bsddb3 which still fails.


And just to confirm I that I'm really using the patched eglibc:

> $ ldd /home/steven/python2.7-2.7.3~rc2/build-debug/python
>         libpthread.so.0 => /lib/i386-kfreebsd-gnu/i686/cmov/libpthread.so.0 (0x2102b000)
>         libdl.so.2 => /lib/i386-kfreebsd-gnu/i686/cmov/libdl.so.2 (0x21041000)
>         libutil.so.1 => /lib/i386-kfreebsd-gnu/i686/cmov/libutil.so.1 (0x21045000)
>         libssl.so.1.0.0 => /usr/lib/i386-kfreebsd-gnu/libssl.so.1.0.0 (0x21049000)
>         libcrypto.so.1.0.0 => /usr/lib/i386-kfreebsd-gnu/libcrypto.so.1.0.0 (0x210a8000)
>         libz.so.1 => /usr/lib/i386-kfreebsd-gnu/libz.so.1 (0x21282000)
>         libm.so.1 => /lib/i386-kfreebsd-gnu/i686/cmov/libm.so.1 (0x2129a000)
>         libc.so.0.1 => /lib/i386-kfreebsd-gnu/i686/cmov/libc.so.0.1 (0x212c0000)
>         /lib/ld.so.1 (0x01001000)

> $ objdump -d /lib/i386-kfreebsd-gnu/i686/cmov/libc.so.0.1 | grep 'ktimer_.*:$'
> 000fbff0 <__syscall_ktimer_create>:
> 000fc020 <__syscall_ktimer_gettime>:
> 000fc050 <__syscall_ktimer_settime>:
> 000fc080 <__syscall_ktimer_getoverrun>:
> 000fc0b0 <__syscall_ktimer_delete>:

> $ grep ktimer /lib/i386-kfreebsd-gnu/ -R
> Binary file /lib/i386-kfreebsd-gnu/libc-2.13.so matches
> Binary file /lib/i386-kfreebsd-gnu/librt-2.13.so matches
> Binary file /lib/i386-kfreebsd-gnu/libc.so.0.1 matches
> Binary file /lib/i386-kfreebsd-gnu/librt.so.1 matches
> Binary file /lib/i386-kfreebsd-gnu/i686/cmov/libc-2.13.so matches
> Binary file /lib/i386-kfreebsd-gnu/i686/cmov/librt-2.13.so matches
> Binary file /lib/i386-kfreebsd-gnu/i686/cmov/libc.so.0.1 matches
> Binary file /lib/i386-kfreebsd-gnu/i686/cmov/librt.so.1 matches

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[python-tests.txt (text/plain, attachment)]

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Thu, 05 Apr 2012 17:24:10 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Thu, 05 Apr 2012 17:24:10 GMT) Full text and rfc822 format available.

Message #41 received at 654783-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 654783-close@bugs.debian.org
Subject: Bug#654783: fixed in python2.7 2.7.3~rc2-2
Date: Thu, 05 Apr 2012 17:18:54 +0000
Source: python2.7
Source-Version: 2.7.3~rc2-2

We believe that the bug you reported is fixed in the latest version of
python2.7, which is due to be installed in the Debian FTP archive:

idle-python2.7_2.7.3~rc2-2_all.deb
  to main/p/python2.7/idle-python2.7_2.7.3~rc2-2_all.deb
libpython2.7_2.7.3~rc2-2_amd64.deb
  to main/p/python2.7/libpython2.7_2.7.3~rc2-2_amd64.deb
python2.7-dbg_2.7.3~rc2-2_amd64.deb
  to main/p/python2.7/python2.7-dbg_2.7.3~rc2-2_amd64.deb
python2.7-dev_2.7.3~rc2-2_amd64.deb
  to main/p/python2.7/python2.7-dev_2.7.3~rc2-2_amd64.deb
python2.7-doc_2.7.3~rc2-2_all.deb
  to main/p/python2.7/python2.7-doc_2.7.3~rc2-2_all.deb
python2.7-examples_2.7.3~rc2-2_all.deb
  to main/p/python2.7/python2.7-examples_2.7.3~rc2-2_all.deb
python2.7-minimal_2.7.3~rc2-2_amd64.deb
  to main/p/python2.7/python2.7-minimal_2.7.3~rc2-2_amd64.deb
python2.7_2.7.3~rc2-2.diff.gz
  to main/p/python2.7/python2.7_2.7.3~rc2-2.diff.gz
python2.7_2.7.3~rc2-2.dsc
  to main/p/python2.7/python2.7_2.7.3~rc2-2.dsc
python2.7_2.7.3~rc2-2_amd64.deb
  to main/p/python2.7/python2.7_2.7.3~rc2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python2.7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Apr 2012 15:47:03 +0200
Source: python2.7
Binary: python2.7 python2.7-minimal libpython2.7 python2.7-examples python2.7-dev idle-python2.7 python2.7-doc python2.7-dbg
Architecture: source all amd64
Version: 2.7.3~rc2-2
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 idle-python2.7 - IDE for Python (v2.7) using Tkinter
 libpython2.7 - Shared Python runtime library (version 2.7)
 python2.7  - Interactive high-level object-oriented language (version 2.7)
 python2.7-dbg - Debug Build of the Python Interpreter (version 2.7)
 python2.7-dev - Header files and a static library for Python (v2.7)
 python2.7-doc - Documentation for the high-level object-oriented language Python
 python2.7-examples - Examples for the Python language (v2.7)
 python2.7-minimal - Minimal subset of the Python language (version 2.7)
Closes: 621374 650555 654783 656763 663874 664529 665346
Changes: 
 python2.7 (2.7.3~rc2-2) unstable; urgency=low
 .
   * Use xdg-open/gvfs-open in Lib/webbrowser.py (Michael Vogt).
     LP: #971311.
   * Add a paragraph about python-foo-dbg packages to README.debug.
     LP: #872050.
   * Disable some tests (no feedback from porters):
     - test_socket on hurd-i386.
     - test_io on amd64.
     - test_signal on kfreebsd-*. Closes: #654783.
     - test_threading on sparc.
   * Tighten build dependency on libexpat-dev. Closes: #665346.
   * Build-depend on db-5.1, don't care about testsuite regressions on
     some esoteric ports.  If packages rely on threaded applications or
     transactions, please use the python-bsddb3 package.
     Closes: #621374.
   * Don't ship the python2 and python2-config symlinks, move these
     to the python-minimal and python-dev packages. Closes: #663874.
   * Remove PVER-doc.doc-base.PVER-doc.in. Closes: #656763.
   * Update symbols files.
   * Avoid runtime path for the sqlite extension.
   * CVE-2011-4944, distutils creates ~/.pypirc insecurely. Closes: #650555.
   * Fix issue #14505, file descriptor leak when deallocating file objects
     created with PyFile_FromString(). Closes: #664529.
Checksums-Sha1: 
 d19eb6482d01ba27b12fa61ba735cf9bb27c3aed 2085 python2.7_2.7.3~rc2-2.dsc
 a1ea7e8742d9055b6c963d7f34b1c10a732db171 250980 python2.7_2.7.3~rc2-2.diff.gz
 17a89934ab3c1526fdfe4d7528a5b81081f293ef 709374 python2.7-examples_2.7.3~rc2-2_all.deb
 24b0fe4f2fe9e97a3219ad3af80901b3bb433f0f 298570 idle-python2.7_2.7.3~rc2-2_all.deb
 60f30eafc4cb071eb48b6810c05f8ddaa72adabc 6247190 python2.7-doc_2.7.3~rc2-2_all.deb
 8e933a0ac7a0428c8aa69d3cd8af11aba6ac8ca2 2714338 python2.7_2.7.3~rc2-2_amd64.deb
 65a7403a4ab87ada7623896becc1f9307ece97b6 1770024 python2.7-minimal_2.7.3~rc2-2_amd64.deb
 c073d69e7d89e03837889459b6233f0bed4e2a13 1191392 libpython2.7_2.7.3~rc2-2_amd64.deb
 2cffa43da460292919745549bbaccb071b626d49 29368158 python2.7-dev_2.7.3~rc2-2_amd64.deb
 528073475f4203a1efee66ccb6d4496364da9814 9559042 python2.7-dbg_2.7.3~rc2-2_amd64.deb
Checksums-Sha256: 
 2a3c2af0be99a2b69d140b8fc6eae7b94d0bf53528c710037e43a20411c6cc92 2085 python2.7_2.7.3~rc2-2.dsc
 48c0741c7510602f3d5fe3117ff9edcd9ffe3af0268abb1e8e442b9d797f2caa 250980 python2.7_2.7.3~rc2-2.diff.gz
 e51722fae9715934524a68ff9f679b8a5e208ef64824a70bd97f7b00e3a94442 709374 python2.7-examples_2.7.3~rc2-2_all.deb
 3f9658a0d39edddd93908637517770fc715f49243dfb2d777e653c2f1522b584 298570 idle-python2.7_2.7.3~rc2-2_all.deb
 7bbcad3fee4e1cde685493cab20eb86dc28da9a9de454d31b500e442ab87d07f 6247190 python2.7-doc_2.7.3~rc2-2_all.deb
 122dcdb0b34d99e3446ce783afbe41e16985bdbe502c69aa1b78a5d4cbc002de 2714338 python2.7_2.7.3~rc2-2_amd64.deb
 3c19ae0019bd85ee85c889032095756e3ef75f3acacb2dfdb0fd5bacc7227d42 1770024 python2.7-minimal_2.7.3~rc2-2_amd64.deb
 c5740443cee421fb9b880fca3c8df5161add7159ebfc2b1c6304bce87a064ac5 1191392 libpython2.7_2.7.3~rc2-2_amd64.deb
 827caf9b51c5e491dc335064954ad5e82dd6a9057e447bdf13a83367962d3a90 29368158 python2.7-dev_2.7.3~rc2-2_amd64.deb
 d513bac6c1539efd349d12fb61c6be966ab976ba4e35c6016656c9894c7a5d2d 9559042 python2.7-dbg_2.7.3~rc2-2_amd64.deb
Files: 
 c5c7ad7ec97cbf15475fa1fcbb8f4759 2085 python optional python2.7_2.7.3~rc2-2.dsc
 0fcb393a11e428d38a0cd52bb22e08fe 250980 python optional python2.7_2.7.3~rc2-2.diff.gz
 7ac8496a5028b37f314e008bad69b19c 709374 python optional python2.7-examples_2.7.3~rc2-2_all.deb
 fa20940199f6ef66c7ce3ae0ba8cdf41 298570 python optional idle-python2.7_2.7.3~rc2-2_all.deb
 16878bdd6f114cec5e1bb25d0872d52c 6247190 doc optional python2.7-doc_2.7.3~rc2-2_all.deb
 85192bce68a3a3a755d3ddcd7ea06aeb 2714338 python optional python2.7_2.7.3~rc2-2_amd64.deb
 cdff0bec7848df6395135cde029f2837 1770024 python optional python2.7-minimal_2.7.3~rc2-2_amd64.deb
 67363d0554e458a375ffa07185b7f195 1191392 libs optional libpython2.7_2.7.3~rc2-2_amd64.deb
 f85d5dae12a1654b248424430b9aa745 29368158 python optional python2.7-dev_2.7.3~rc2-2_amd64.deb
 bceacc6cbefdced4e0fe48dfa971475d 9559042 debug extra python2.7-dbg_2.7.3~rc2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk99zkkACgkQStlRaw+TLJzaFQCgwNSiiwXTlyi5mWhA5lHOCXja
sUUAnRbPUJC54SE/k2S8JDRIbWS+JRSl
=Fc8Z
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Fri, 06 Apr 2012 02:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 06 Apr 2012 02:06:03 GMT) Full text and rfc822 format available.

Message #46 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#654783: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Fri, 06 Apr 2012 03:03:34 +0100
reopen 654783 debian-bsd@lists.debian.org
notfixed 654783 python2.7/2.7.3~rc2-2
found 654783 python2.7/2.7.3~rc2-2
thanks

Log of the latest kfreebsd build failure is:

https://buildd.debian.org/status/fetch.php?pkg=python2.7&arch=kfreebsd-amd64&ver=2.7.3~rc2-2&stamp=1333657799

I mentioned today that test_socket hangs, but only moments before this
was uploaded to unstable.


In the past few hours I've managed to reproduce a hang of test_io on
kfreebsd-i386, so that is apparently still an issue (but not always).
Also I've run into hangs of test_threading and test_gdb for the first time.

The picture is beginning to look quite similar across hurd-i386,
kfreebsd-amd64, kfreebsd-i386, sparc (and previously also hppa), with
mostly the same set of tests failing, even if some of them fail more or
less often.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Bug reopened Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 02:06:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'debian-bsd@lists.debian.org' from 'Christoph Egger <christoph@debian.org>' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 02:06:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions python2.7/2.7.3~rc2-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 02:06:06 GMT) Full text and rfc822 format available.

Marked as found in versions python2.7/2.7.3~rc2-2. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 06 Apr 2012 02:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#654783; Package src:python2.7. (Fri, 06 Apr 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Fri, 06 Apr 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #59 received at 654783@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#654783: python2.7: FTBFS(kfreebsd): testsuite hang
Date: Fri, 06 Apr 2012 21:11:42 +0200
On 06.04.2012 04:03, Steven Chamberlain wrote:
> reopen 654783 debian-bsd@lists.debian.org
> notfixed 654783 python2.7/2.7.3~rc2-2
> found 654783 python2.7/2.7.3~rc2-2
> thanks
>
> Log of the latest kfreebsd build failure is:
>
> https://buildd.debian.org/status/fetch.php?pkg=python2.7&arch=kfreebsd-amd64&ver=2.7.3~rc2-2&stamp=1333657799
>
> I mentioned today that test_socket hangs, but only moments before this
> was uploaded to unstable.

sorry, already had the binaries built :/

> In the past few hours I've managed to reproduce a hang of test_io on
> kfreebsd-i386, so that is apparently still an issue (but not always).
> Also I've run into hangs of test_threading and test_gdb for the first time.

test_threading has issues on other architectures as well. I tend to disable 
these too for kfreebsd-*.

  Matthias




Added indication that bug 654783 blocks 668240 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 13:27:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Mon, 16 Apr 2012 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Mon, 16 Apr 2012 21:12:31 GMT) Full text and rfc822 format available.

Message #66 received at 654783@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: about test_socket hang
Date: Mon, 16 Apr 2012 23:08:01 +0200
[Message part 1 (text/plain, inline)]
Hi,

I found something about test_socket hang.  The problem I'm seeing
looks like a race condition.  kdump -H yields:

 73334 100505 python   CALL  thr_kill(0x1884e,SIG(null))
 73334 100505 python   RET   thr_kill 0
 73334 100505 python   CALL  thr_exit(0xccab78)
 73334 100430 python   CALL  thr_kill(0x187f9,SIG(null))
 73334 100430 python   RET   thr_kill 0
 73334 100430 python   CALL  poll(0xc6eee0,0x1,0x7d0)

As you can see in this log, thread 100505 sends restart signal to
thread 100430 *BEFORE* thread 100430 has started poll() kernel call.
Then thread 100430 is stuck in poll() with nobody to restart it.

If I hit ^Z, poll is interrupted, then "fg" makes it progress.  By
doing this a couple of times I managed to make test_socket finish.
Alternatively, I patched glibc with this workaround (see attachment).
This makes the test finish in about 16 seconds.

Going back to the race between thr_kill() and poll(), any idea what
could be causing this?  To begin with I don't even know how to get a
backtrace for the relevant calls :-/

-- 
Robert Millan
[workaround.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Wed, 18 Apr 2012 02:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 18 Apr 2012 02:42:05 GMT) Full text and rfc822 format available.

Message #71 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>, 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#654783: about test_socket hang
Date: Wed, 18 Apr 2012 03:39:16 +0100
On 16/04/12 22:08, Robert Millan wrote:
> If I hit ^Z, poll is interrupted, then "fg" makes it progress.  By
> doing this a couple of times I managed to make test_socket finish.
> Alternatively, I patched glibc with this workaround (see attachment).
> This makes the test finish in about 16 seconds.

Strange, the workaround hasn't really changed anything for me on
kfreebsd-i386:  test_socket still hangs some of the time.  When that
happens the ^Z / fg trick doesn't help me.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Wed, 18 Apr 2012 13:48:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 18 Apr 2012 13:48:12 GMT) Full text and rfc822 format available.

Message #76 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>, 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#654783: about test_socket hang
Date: Wed, 18 Apr 2012 14:46:07 +0100
On 18/04/12 03:39, Steven Chamberlain wrote:
> Strange, the workaround hasn't really changed anything for me on
> kfreebsd-i386

Sorry that was wrong, I had dry-run the patch without actually applying
it :(

With it, I hit a tst-timer5 regression during build.


But if I keep the timeout at its default 2000ms and:

On 18/04/12 07:02, Petr Salinger wrote:
-    if (terminated_children || main_thread_exiting) {
+    if (1 || terminated_children || main_thread_exiting) {

Then I see 100/100 passes of test_socket.  That used to hang always.

There are still occasional hangs in test_threading (about 20% of the
time) and also very rarely in test_signal (seen 1% of the time).


And in the ruby1.9.1 test suite, test_io looks like it might be fixed by
this, but test_thread still hangs sometimes.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#654783; Package src:python2.7. (Wed, 18 Apr 2012 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 18 Apr 2012 14:00:04 GMT) Full text and rfc822 format available.

Message #81 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>, 654783@bugs.debian.org
Cc: debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#654783: about test_socket hang
Date: Wed, 18 Apr 2012 14:57:01 +0100
On 18/04/12 14:46, Steven Chamberlain wrote:
> And in the ruby1.9.1 test suite, test_io looks like it might be fixed by
> this, but test_thread still hangs sometimes.

Cancel that part...  ruby1.9.1's test_io still fails sometimes,
especially if I run it without -v, so nothing has changed there.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Bug 654783 cloned as bug 669281 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 18:39:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'race condition in libpthread causes hangs in python2.7 testsuite' from 'python2.7: FTBFS(kfreebsd): testsuite hang' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 18:48:05 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 18:48:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:python2.7' to 'libc0.1'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 18:48:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions python2.7/2.7.2-8, python2.7/2.7.2-9, python2.7/2.7.3~rc2-2, and python2.7/2.7.2-13. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 18:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#654783; Package libc0.1. (Wed, 18 Apr 2012 19:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Wed, 18 Apr 2012 19:03:02 GMT) Full text and rfc822 format available.

Message #96 received at 654783@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 654783@bugs.debian.org, debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#654783: about test_socket hang
Date: Wed, 18 Apr 2012 20:59:12 +0200
El 18 d’abril de 2012 15:46, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> With it, I hit a tst-timer5 regression during build.

Don't worry about tst-timer5, it's a fake regression.  Previously it
"succeeded" by exitting without testing anything.

> On 18/04/12 07:02, Petr Salinger wrote:
> -    if (terminated_children || main_thread_exiting) {
> +    if (1 || terminated_children || main_thread_exiting) {
>
> Then I see 100/100 passes of test_socket.  That used to hang always.
>
> There are still occasional hangs in test_threading (about 20% of the
> time) and also very rarely in test_signal (seen 1% of the time).

I did a few tries yesterday, in addition to the hangs you report I
also found that the testsuite itself is hanging.  For example if you
disable test_socket and test_threading in debian/rules, it's still
possible that the process running the testsuite hangs after all tests
have finished.

-- 
Robert Millan




Removed indication that bug 654783 blocks 668240 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 19:03:05 GMT) Full text and rfc822 format available.

Removed indication that bug 654783 blocks Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 19:03:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#654783; Package libc0.1. (Wed, 18 Apr 2012 23:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Wed, 18 Apr 2012 23:15:04 GMT) Full text and rfc822 format available.

Message #105 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 654783@bugs.debian.org, debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#654783: race condition in libpthread causes hangs in python2.7 testsuite
Date: Thu, 19 Apr 2012 00:12:07 +0100
On 18/04/12 19:59, Robert Millan wrote:
> El 18 d’abril de 2012 15:46, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
>> With it, I hit a tst-timer5 regression during build.
> 
> Don't worry about tst-timer5, it's a fake regression.  Previously it
> "succeeded" by exitting without testing anything.

Oh okay.

For now I still have Petr's change applied.  I notice that libsoup2.4's
connection-test (see #663056) has stopped failing.  (Just had 100/100
test passes, was previously seeing about 50% failures.)

Also, perhaps related, I got through the (Python-powered) iceweasel
10.0.3esr test suite for the first time, without hangs (see #575302).
Maybe this helped.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#654783; Package libc0.1. (Thu, 19 Apr 2012 19:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 19 Apr 2012 19:54:05 GMT) Full text and rfc822 format available.

Message #110 received at 654783@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 654783@bugs.debian.org, debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 663056@bugs.debian.org
Subject: Re: Bug#654783: race condition in libpthread causes hangs in python2.7 testsuite
Date: Thu, 19 Apr 2012 21:51:38 +0200
CCing #663056

El 19 d’abril de 2012 1:12, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> For now I still have Petr's change applied.  I notice that libsoup2.4's
> connection-test (see #663056) has stopped failing.  (Just had 100/100
> test passes, was previously seeing about 50% failures.)

Are you sure?  You mean you tried 100 times?

I don't know about connection-test, but context-test was a race
condition.  I'm also 100% sure Petr's change doesn't fix that (the
reason for connection-test failure is well-known).

After fixing context-test I got a connection-test pass, but I only
tried once (at that time I assumed it was the same issue as
context-test).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#654783; Package libc0.1. (Thu, 19 Apr 2012 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 19 Apr 2012 19:57:04 GMT) Full text and rfc822 format available.

Message #115 received at 654783@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 654783@bugs.debian.org, debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 575302@bugs.debian.org
Subject: Re: Bug#654783: race condition in libpthread causes hangs in python2.7 testsuite
Date: Thu, 19 Apr 2012 21:54:52 +0200
CCing #575302

El 19 d’abril de 2012 1:12, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> Also, perhaps related, I got through the (Python-powered) iceweasel
> 10.0.3esr test suite for the first time, without hangs (see #575302).
> Maybe this helped.

That's really nice.  Petr, could you give some explanation on that
one-line patch you provided?  Is it supposed to be the correct fix or
is more work necessary?  I'm not familiar with the whole picture but
if you give some pointers I may be able to help.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#654783; Package libc0.1. (Thu, 19 Apr 2012 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 19 Apr 2012 21:03:02 GMT) Full text and rfc822 format available.

Message #120 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 654783@bugs.debian.org, debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 663056@bugs.debian.org
Subject: Re: Bug#654783: race condition in libpthread causes hangs in python2.7 testsuite
Date: Thu, 19 Apr 2012 21:58:44 +0100
On 19/04/12 20:51, Robert Millan wrote:
> CCing #663056
> 
> El 19 d’abril de 2012 1:12, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
>> For now I still have Petr's change applied.  I notice that libsoup2.4's
>> connection-test (see #663056) has stopped failing.  (Just had 100/100
>> test passes, was previously seeing about 50% failures.)
> 
> Are you sure?  You mean you tried 100 times?

It passed 100 times in a row.  And another 100 times just now.  I'm not
sure that Petr's patch is what really fixed it, but I can try to narrow
it down.

You say the cause was well-known...?

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#654783; Package libc0.1. (Thu, 19 Apr 2012 21:14:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 19 Apr 2012 21:17:14 GMT) Full text and rfc822 format available.

Message #125 received at 654783@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: 654783@bugs.debian.org, debian-bsd@lists.debian.org, Petr Salinger <Petr.Salinger@seznam.cz>, 575302@bugs.debian.org
Subject: Re: Bug#654783: race condition in libpthread causes hangs in python2.7 testsuite
Date: Thu, 19 Apr 2012 22:07:35 +0100
On 19/04/12 20:54, Robert Millan wrote:
> CCing #575302
> 
> El 19 d’abril de 2012 1:12, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
>> Also, perhaps related, I got through the (Python-powered) iceweasel
>> 10.0.3esr test suite for the first time, without hangs (see #575302).
>> Maybe this helped.
> 
> That's really nice.  Petr, could you give some explanation on that
> one-line patch you provided?  Is it supposed to be the correct fix or
> is more work necessary?  I'm not familiar with the whole picture but
> if you give some pointers I may be able to help.

I only thought to test iceweasel because in #658704 you mentioned an
infinite poll() loop (but you didn't show the timing, which you would
get from kdump -T).

Maybe if __pthread_sig_cancel is missed somehow, Petr's diff works
around that by checking anyway for terminated child threads every couple
of seconds.  Just guessing.

Python 2.7.3~rc2 fixed something else, that could have been causing
iceweasel's test harness to hang (like waf in #668240) so that maybe
also helped here.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#654783; Package libc0.1. (Fri, 20 Apr 2012 07:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 20 Apr 2012 07:06:04 GMT) Full text and rfc822 format available.

Message #130 received at 654783@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Robert Millan <rmh@debian.org>
Cc: Steven Chamberlain <steven@pyro.eu.org>, 654783@bugs.debian.org, debian-bsd@lists.debian.org, 575302@bugs.debian.org
Subject: Re: Bug#654783: race condition in libpthread causes hangs in python2.7 testsuite
Date: Fri, 20 Apr 2012 08:47:05 +0200 (CEST)
> That's really nice.  Petr, could you give some explanation on that
> one-line patch you provided?  Is it supposed to be the correct fix or
> is more work necessary?  I'm not familiar with the whole picture but
> if you give some pointers I may be able to help.

In the original (plain linuxthreads) code, with thread implemented as 
freebsd process, the wakeup signal is sent to thread manager from kernel, 
after exit of thread.

In current variant, with thread implemented as freebsd kernel thread,
the wakeup signal is sent to thread manager from userspace, a few moments 
before exit. It is an expected race condition. It is also the reason, 
why "|| main_thread_exiting" have been added. I expected, that loss of a
wakeup does not matter, the "child thread" will be "eaten" only slightly 
later, when another thread exits and sends wake up. The only problem 
should be, when there is no another thread, it should be solved by
"|| main_thread_exiting". But it does not suffice.

The "try eat dead child" everytime is just workaround.
The better way might be to add atomic counter
[using gcc's __sync_fetch_and_add()] to track 
the number of expected "dead or soon to be dead" child
and "try to eat dead child" when the number is above zero.

And (of course) in long term, do not use manager thread anymore.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#654783; Package libc0.1. (Fri, 20 Apr 2012 18:39:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 20 Apr 2012 18:39:13 GMT) Full text and rfc822 format available.

Message #135 received at 654783@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Steven Chamberlain <steven@pyro.eu.org>, 654783@bugs.debian.org, debian-bsd@lists.debian.org, 575302@bugs.debian.org
Subject: Re: Bug#654783: race condition in libpthread causes hangs in python2.7 testsuite
Date: Fri, 20 Apr 2012 20:36:32 +0200
tag 654783 pending
thanks

El 20 d’abril de 2012 8:47, Petr Salinger <Petr.Salinger@seznam.cz> ha escrit:
> In the original (plain linuxthreads) code, with thread implemented as
> freebsd process, the wakeup signal is sent to thread manager from kernel,
> after exit of thread.
>
> In current variant, with thread implemented as freebsd kernel thread,
> the wakeup signal is sent to thread manager from userspace, a few moments
> before exit. It is an expected race condition. It is also the reason, why
> "|| main_thread_exiting" have been added. I expected, that loss of a
> wakeup does not matter, the "child thread" will be "eaten" only slightly
> later, when another thread exits and sends wake up. The only problem should
> be, when there is no another thread, it should be solved by
> "|| main_thread_exiting". But it does not suffice.
>
> The "try eat dead child" everytime is just workaround.

Yep, eating dead children everytime doesn't sound like the cleanest
option to me either ;-)

> The better way might be to add atomic counter
> [using gcc's __sync_fetch_and_add()] to track the number of expected "dead
> or soon to be dead" child
> and "try to eat dead child" when the number is above zero.

Thanks for the heads-up.  I notice you already fixed this in pkg-glibc
SVN.  Maybe it's not worth improving further... (IMHO time would be
better spent on NPTL).

Thank you!

-- 
Robert Millan




Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Fri, 20 Apr 2012 18:39:15 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 17:21:09 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sun, 29 Apr 2012 17:21:09 GMT) Full text and rfc822 format available.

Message #142 received at 654783-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 654783-close@bugs.debian.org
Subject: Bug#654783: fixed in eglibc 2.13-31
Date: Sun, 29 Apr 2012 17:19:04 +0000
Source: eglibc
Source-Version: 2.13-31

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-31_all.deb
  to main/e/eglibc/eglibc-source_2.13-31_all.deb
eglibc_2.13-31.diff.gz
  to main/e/eglibc/eglibc_2.13-31.diff.gz
eglibc_2.13-31.dsc
  to main/e/eglibc/eglibc_2.13-31.dsc
glibc-doc_2.13-31_all.deb
  to main/e/eglibc/glibc-doc_2.13-31_all.deb
libc-bin_2.13-31_amd64.deb
  to main/e/eglibc/libc-bin_2.13-31_amd64.deb
libc-dev-bin_2.13-31_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-31_amd64.deb
libc6-dbg_2.13-31_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-31_amd64.deb
libc6-dev-i386_2.13-31_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-31_amd64.deb
libc6-dev_2.13-31_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-31_amd64.deb
libc6-i386_2.13-31_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-31_amd64.deb
libc6-pic_2.13-31_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-31_amd64.deb
libc6-prof_2.13-31_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-31_amd64.deb
libc6-udeb_2.13-31_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-31_amd64.udeb
libc6_2.13-31_amd64.deb
  to main/e/eglibc/libc6_2.13-31_amd64.deb
libnss-dns-udeb_2.13-31_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-31_amd64.udeb
libnss-files-udeb_2.13-31_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-31_amd64.udeb
locales-all_2.13-31_amd64.deb
  to main/e/eglibc/locales-all_2.13-31_amd64.deb
locales_2.13-31_all.deb
  to main/e/eglibc/locales_2.13-31_all.deb
multiarch-support_2.13-31_amd64.deb
  to main/e/eglibc/multiarch-support_2.13-31_amd64.deb
nscd_2.13-31_amd64.deb
  to main/e/eglibc/nscd_2.13-31_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Apr 2012 17:45:45 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-31
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 369453 642112 654783 660611 661041 661760 661878 662018 663150 663203 663752 665303 666774 667687 668674 669179 669304 669424 669960
Changes: 
 eglibc (2.13-31) unstable; urgency=low
 .
   [ Petr Salinger ]
   * alter kfreebsd/local-use-thr-primitives.diff. Closes: #654783.
   * kfreebsd/local-sysdeps.diff: update to revision 4222 (from glibc-bsd).
     Closes: #642112, #662018, #669424.
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/tg-hooks.diff: New patch to fix Hurd hooks order.
   * patches/hurd-i386/libpthread.diff: New patch to import Hurd libpthread as
     an add-on.
   * patches/hurd-i386/libpthread_version.diff: New patch to mark when
     libpthread was moved to glibc.
   * libc0.3.symbols.hurd-i386: Add version dependency for libpthread forward
     stubs in libc.
   * patches/hurd-i386/libpthread_clean.diff: New patch to remove useless parts
     of Hurd libpthread which come in the way.
   * patches/hurd-i386/tg-libpthread_depend.diff: New patch to add add-on
     dependencies on libpthread.
   * patches/hurd-i386/libpthread_fix.diff: New patch to fix libpthread
     allocation.
   * patches/hurd-i386/libpthread_globsigdisp.diff: New patch to implement
     global signal dispatch.
   * patches/hurd-i386/libpthread_sigmask.diff: New patch to fix per-thread
     sigmask.
   * patches/hurd-i386/libpthread_stubs.diff: New patch to add mark ENOSYS
     stubs.
   * patches/hurd-i386/libpthread_librt-link.diff: New patch to fix librt link.
   * patches/hurd-i386/{tg-pthread_types.diff,local-pthread_stubs.diff,
     unsubmitted-pthread-unsupported-stubs.diff}: Remove patches, now useless.
   * patches/hurd-i386/unsubmitted-pthread_posix-option.diff: Remove fake
     libpthread rules.
   * sysdeps/hurd.mk: Enable libpthread add-on. Remove useless redefinition of
     standard-add-ons.
   * sysdeps/hurd-i386.mk: Use the libpthread add-on for i686 and xen variants.
   * debhelper.in/libc-udeb.install.hurd-i386: Remove, hurd-i386 now has
     libpthread too.
   * debhelper.in/libc-dev.install.hurd-i386: Add libpthread.a and
     libpthread2.a.
   * control.in/libc,control: Make libc-dev replace the hurd package.
   * patches/hurd-i386/tg-symlink_dealloc.diff: Replace with...
   * patches/hurd-i386/cvs-symlink_dealloc.diff: ... upstream version.
 .
   [ Aurelien Jarno ]
   * patches/localedata/locale-C.diff: add an LC_TIME section.  Closes:
     #661878.
   * patches/arm/cvs-make-get-set-swap-context.diff: backport
     make/get/set/swapcontext from upstream.  Closes: #369453, #663150.
   * patches/arm/unsubmitted-soname-hack.diff: rename into
     patches/arm/local-soname-hack.diff to fix non-policy compliant patch
     name.
   * Don't install getent(1).  Closes: #665303.
   * Add patches/any/cvs-getaddrinfo-AI_V4MAPPED.diff to correctly handle
     AI_V4MAPPED flag in getaddrinfo().  Closes: #663752.
   * Add patches/any/local-linuxthreads-setclock.diff from Robert Millan to
     add pthread_condattr_setclock() support to linuxthreads.  Closes:
     #667687.
   * patches/any/local-disable-nscd-host-caching.diff: remove, as the host
     caching issue has been fixed in the meanwhile.  Closes: #669304.
   * patches/any/cvs-FORTIFY_SOURCE-format-strings.diff: new patch from
     upstream to fix FORTIFY_SOURCE format string protection bypass.  Closes:
     #660611.
   * patches/kfreebsd/local-sys_queue_h.diff: fix STAILQ_FOREACH_SAFE.
     Closes: #669960.
   * local/manpages/locale.1: fix warnings from "groff".  Closes: #661041.
   * patches/hppa/*: update hppa patchset from a mix of CVS, submitted and
     unknown sources patches.  Closes: #666774.
   * local/manpages/ld.so.8: update from various sources to document missing
     environment variables.  Closes: #669179.
   * patches/locatedata/cvs-es-lc_numeric.diff: new patch from upstream to
     fix LC_NUMERIC for Spanish locales.  Closes: #668674.
   * patches/localedata/submitted-de_AT-mon.diff: fix month names in de_AT
     locale.  Closes: #661760.
   * patches/localedata/submitted-en_AU-date_fmt.diff: fix date_fmt for
     en_AU locale.  Closes: #663203.
Checksums-Sha1: 
 fa2ae204c4080b6e3846656ea07aa539032d5513 4715 eglibc_2.13-31.dsc
 2d03d42aaed61410378fdab04aab4a56ab9b143c 1958902 eglibc_2.13-31.diff.gz
 d7656cc9acce420dcaa94ea9995cc9d714507d48 1893450 glibc-doc_2.13-31_all.deb
 f3e7ede137f6a2e9a4eff0ba6756e103ad24d2bc 13403090 eglibc-source_2.13-31_all.deb
 3dea639f4dd6abdcc9b112fdd9c28335583d2287 5710438 locales_2.13-31_all.deb
 3d91307482bcb2f53fd1baec06d8596cb2921d7a 4341784 libc6_2.13-31_amd64.deb
 691e8e22cb57df39516b76871238a45fe385ff16 2649018 libc6-dev_2.13-31_amd64.deb
 57a7f70fb41d815be7f687a95f93c100e6de84a6 2089870 libc6-prof_2.13-31_amd64.deb
 d13a74e1197823a3123ef66b03b5425855d080f1 1595506 libc6-pic_2.13-31_amd64.deb
 3dab70a262afeafad164fcbb887df6ab29b4393a 1263562 libc-bin_2.13-31_amd64.deb
 82d9638d012d3cf9d63df2a5e4fc441b99ffd919 222958 libc-dev-bin_2.13-31_amd64.deb
 99daf9da769c6be0fe05d996b5c0520eb84b32f6 146972 multiarch-support_2.13-31_amd64.deb
 aa008ce86ad473c532adf19b5d263dd998fafdb7 3258620 locales-all_2.13-31_amd64.deb
 cd75408dfc46169f3b2e7b7281a2369f002a286a 4024050 libc6-i386_2.13-31_amd64.deb
 274477d785b5110d6955de98011c2a39ae93ef4f 1573816 libc6-dev-i386_2.13-31_amd64.deb
 2b2036e97f09803d1378017fa3d6b487e25c6679 209504 nscd_2.13-31_amd64.deb
 fa4dae66c086d49a4525a8e8ab84ca4c8d40c707 2571404 libc6-dbg_2.13-31_amd64.deb
 231add5ebae5f95db16e12f48306a2b37f9fae72 1183400 libc6-udeb_2.13-31_amd64.udeb
 403f27b58e2b1f92413d0d327c5dd830bf6e682c 11136 libnss-dns-udeb_2.13-31_amd64.udeb
 91120a31ed1237925b2f377fda6d6bf366372293 19320 libnss-files-udeb_2.13-31_amd64.udeb
Checksums-Sha256: 
 693f4bdd3fafe1a6f133d3ffe3fb116f776fc9bd85075e92f1b80d0748714393 4715 eglibc_2.13-31.dsc
 c50da9d9c69bcf7657a97b0d355d0f8894bbb4c84bfee0825d5b32cc017179e2 1958902 eglibc_2.13-31.diff.gz
 01ba0e73cd04b13ee770836fcf1c3ce11cb1d61e0724a99e2ec292b1fab73a19 1893450 glibc-doc_2.13-31_all.deb
 aa938ca94ae13c03bbc2fcd9d5da148a97c9688fc78a0d3598ff99875980fa06 13403090 eglibc-source_2.13-31_all.deb
 06d17514bd34ce78fdd60dd3c90b8c55cf68adf6b432f5ec25d4aa7632d51e3a 5710438 locales_2.13-31_all.deb
 b42cf81963172701ac9c7647435f8ab51f8466b3606721a3330d3118e2426b24 4341784 libc6_2.13-31_amd64.deb
 76f604d7d598dd4815f892717864d16cc881d9e2d18edff342c5673a1969a848 2649018 libc6-dev_2.13-31_amd64.deb
 4987bcbaac7d4383addd41a7705b3fa7bbd00fa09ebac025b35ba70681cf0a50 2089870 libc6-prof_2.13-31_amd64.deb
 5cea67268d3bdfa0892cdc8916c6a24a52f5a3bdcaa98b39e0bf385cc3607a75 1595506 libc6-pic_2.13-31_amd64.deb
 271c34283bf9d106c14c737514cab7d68d24a5c521fceb9d4593fcd9c3f4097e 1263562 libc-bin_2.13-31_amd64.deb
 235888898cf889a69e306969282ab634141eb7a08c668708a070756abdc1889c 222958 libc-dev-bin_2.13-31_amd64.deb
 93126e688f27ca28e173be09473ab805844f20495b43fa1a31d546509d0102fd 146972 multiarch-support_2.13-31_amd64.deb
 9656fe8de841ee5a799d44fd9a56a25d530be82fc2b4f6aed19d217f6aca5e8c 3258620 locales-all_2.13-31_amd64.deb
 cb3c4914c6055b492e81867e78a1c9504eda94a94f03de2930bcc70d1bc3109e 4024050 libc6-i386_2.13-31_amd64.deb
 a839fe9173ff0c3c4c8d748e907a279fc04260e25d6e0ff938a727c1dac8f82c 1573816 libc6-dev-i386_2.13-31_amd64.deb
 99618c67e68bcfc0d825d730249406e93aa6c8a964054ff9017c458f81dc5195 209504 nscd_2.13-31_amd64.deb
 9915f92ab4546825c06ac37c3ce74149c0f279449e96e4f8e0683cad85d2daf1 2571404 libc6-dbg_2.13-31_amd64.deb
 b3e9108064d3bbc4d923e55c0ea77e69d01177cccf34115b1f4b9964156fd9bb 1183400 libc6-udeb_2.13-31_amd64.udeb
 bfa9edb9c8b589db9bf085929974e68085fecb94af8495ebd7a98dbdb6a0cf27 11136 libnss-dns-udeb_2.13-31_amd64.udeb
 a0efa075a852cabc55940389ed18e560f8b67578b68eb87688105a7950a33031 19320 libnss-files-udeb_2.13-31_amd64.udeb
Files: 
 004c60dcd781e8089b379f2cf7681c07 4715 libs required eglibc_2.13-31.dsc
 7ea0ed599d59afc0414db9a03db99f0c 1958902 libs required eglibc_2.13-31.diff.gz
 96f2d243abb0135dd91a09074110643a 1893450 doc optional glibc-doc_2.13-31_all.deb
 5b3abe3d0cb8296a70844608fbbae712 13403090 devel optional eglibc-source_2.13-31_all.deb
 f50d2f9afbb8c4033ae07f91e0dc0848 5710438 localization standard locales_2.13-31_all.deb
 5420d12088f240b2c6eab4d464437308 4341784 libs required libc6_2.13-31_amd64.deb
 37510a72a1e0028000b4bdc0caa52e0e 2649018 libdevel optional libc6-dev_2.13-31_amd64.deb
 8a23d3e17faef183e10a02398ca76956 2089870 libdevel extra libc6-prof_2.13-31_amd64.deb
 b35a47859bf154bc725c20a7a4f12f4e 1595506 libdevel optional libc6-pic_2.13-31_amd64.deb
 49a448ff83090260981a1c2db34d375d 1263562 libs required libc-bin_2.13-31_amd64.deb
 3223baefa689fe20ec695e94e67c5b3a 222958 libdevel optional libc-dev-bin_2.13-31_amd64.deb
 81c9c7f91ccb46030ba3fc93d880b440 146972 libs standard multiarch-support_2.13-31_amd64.deb
 f3653c021c7a1e4ca85db2a6d7dee360 3258620 localization extra locales-all_2.13-31_amd64.deb
 c06cee1fd41e47c6a6d3672bb8a1bbb0 4024050 libs optional libc6-i386_2.13-31_amd64.deb
 b772a99d5ae53a3e87e5dced88e8096d 1573816 libdevel optional libc6-dev-i386_2.13-31_amd64.deb
 3ae43f9c1cef3ba44a6ca318c5c89d3b 209504 admin optional nscd_2.13-31_amd64.deb
 a2dad16897b515d12565a34f34b844ec 2571404 debug extra libc6-dbg_2.13-31_amd64.deb
 3fe637842de7b108acc982e0cebd35cc 1183400 debian-installer extra libc6-udeb_2.13-31_amd64.udeb
 3cbfef424db700651d974dcc13481bff 11136 debian-installer extra libnss-dns-udeb_2.13-31_amd64.udeb
 7b2bd5d2fe4414f90d68b87089ef8278 19320 debian-installer extra libnss-files-udeb_2.13-31_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPnXOtw3ao2vG823MRAniOAJ9UNmT5OHf9Wsj4BYIu260tDNSW9ACfWFkv
DstQlVk0rHCjwwL+A86WjLc=
=tqMg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 May 2012 07:39:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:50:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.